Issue 1558 xml output for patch hash includes "gz" extension

Title xml output for patch hash includes "gz" extension
Priority bug Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, jaredj, kerneis, kowey, thorkilnaur
Assigned To kerneis
Topics ProbablyEasy

Created on 2009-08-23.19:01:32 by kowey, last changed 2011-01-20.16:09:57 by noreply.

msg8427 (view) Author: kowey Date: 2009-08-23.19:01:27
Perfectly harmless as our hash matcher will work with or without gz (it's rather
explicit about it:

hashmatch h (Sealed2 hp) = let rh = make_filename (info hp) in
                                  (rh == h) || (rh == h++".gz")

This is an easy refactor to do.  Just watch out for the places where you really
do want a gz extension and where you don't.
msg13352 (view) Author: kerneis Date: 2010-12-16.16:17:05
Resolved by patch511.
msg13535 (view) Author: noreply Date: 2011-01-20.16:09:56
The following patch sent by Gabriel Kerneis <kerneis@pps.jussieu.fr> updated issue issue1558 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue1558: remove ".gz" extension in xml output 
Ignore-this: 24a5b7949daf7c662cb2db10cd8909a1
Date User Action Args
2009-08-23 19:01:32koweycreate
2009-08-25 18:16:12adminsetnosy: + darcs-devel, - simon
2009-08-27 14:31:13adminsetnosy: kowey, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin
2010-12-16 12:09:38kerneissetassignedto: kerneis
nosy: + kerneis
2010-12-16 16:17:05kerneissetstatus: needs-implementation -> has-patch
messages: + msg13352
2011-01-20 16:09:57noreplysetstatus: has-patch -> resolved
messages: + msg13535
resolvedin: 2.8.0